package com.brilliance.isc.common.limmod.service;

import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.common.limmod.vo.LimmodVo;

public interface LimCecmService {
    /**
     * 初始化cecm执行器
     */
    void initCecmService();

    /**
     * 保存调用cecm存表battrn W
     * @param limmodVo
     */
    void saveCecm(LimmodVo limmodVo);

    /**
     * 回滚cecm 将此trn 关联的cecm数据删除
     * @param trn
     */
    void rollbackCecm(Trn trn);

    /**
     * 复核时触发 battrn 置为R
     * @param trn
     */
    void releaseCecm(Trn trn);
}
